monit (1:5.35.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 26 Aug 2025 18:22:22 -0300

monit (1:5.35.2-2) experimental; urgency=medium

  * debian/control: adding explicit libcrypt-dev to Build-Depends, thanks to
    Helmut Grohne. (Closes: #1106991)

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 01 Jun 2025 18:00:08 -0300

monit (1:5.35.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated some years.
  * debian/patches/: all patches refreshed.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 14 May 2025 13:12:07 -0300

monit (1:5.34.3-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 24 Dec 2024 09:18:39 -0300

monit (1:5.34.2-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 28 Nov 2024 08:41:43 -0300

monit (1:5.34.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/conf-available: changed all confs to use command 'service' instead
    of 'systemctl' or '/etc/init.d/'. (Closes: #1050448)
  * debian/copyright:
      - Include Chris Hofstaedtler in packaging block.
      - Updated years.
  * debian/monit.lintian-overrides: removed unused override
    'debian-news-entry-has-unknown-version'.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 10 Jun 2024 09:27:51 -0300

monit (1:5.33.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Let dh_installsystemd choose the location of units (Closes: #1054093)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 02:57:21 +0200

monit (1:5.33.0-2) unstable; urgency=medium

  * debian/conf-available/:
      - openssh-server:
          ~ Changed start/stop program to use systemd instead of init.d.
          ~ Fixed to check sshd process instead of pid file.
          ~ Removed dependency of sshd_dsa_key.
      - rsyslog:
          ~ Changed start/stop program to use systemd instead of init.d.
          ~ Fixed to check rsyslogd process instead of pid file.
            (Closes: #1007214, #1028985)
          ~ Removed dependency of rsyslogd_rc.
  * debian/monit.examples: removed 'system/startup/monit.service' since it
    will be installed by debian/monit.install.
  * debian/monit.install:
      - Install bash-completion script in
        'usr/share/bash-completion/completions/'.
      - Install 'system/startup/monit.service' as a service configuration unit
        to systemd, provided by upstream. (Closes: #1039270)
  * debian/monit.lintian-overrides: removed 'missing systemd service' override
    since it's not true anymore.
  * debian/patches/:
      - 020_enable-hurd.patch: updated.
      - 040_hardening-monit.service.patch: created to add some hardening
        options to 'monit.service'. Thanks to Christian Göttsche.
      - series: updated to include the new patch 040.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 20 Aug 2023 17:27:26 -0300

monit (1:5.33.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Removed obsolete lsb-base package from Depends field.
  * debian/copyright: updated years.
  * debian/monit.lintian-overrides:
      - Added override for Debian NEWS entry with unknown version.
      - Removed unused override.
      - Updated mismatched overrides.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 13 Feb 2023 16:04:17 -0300

monit (1:5.32.0-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * debian/rules: removed DEB_CFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND
    and updated DEB_BUILD_MAINT_OPTIONS to enable LTO via dpkg-buildflags
    instead of manually adding flags.

  [ Fabio Augusto De Muzio Tobich ]
  * New upstream release.
  * debian/copyright: updated years in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 11 Apr 2022 11:03:09 -0300

monit (1:5.31.0-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 14 Feb 2022 16:40:40 -0300

monit (1:5.30.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Added years in upstream files block.
      - Updated Upstream-Contact field.
      - Updated years in packaging block.
  * debian/monit.lintian-overrides: adjusted.
  * debian/patches/:
      - 020_enable-hurd.patch: refreshed.
      - 030_add-readonly-mode-for-web-interface.patch: removed, fixed upstream.
      - 040_fix-warnings.patch: renamed to 030_fix-warnings.patch.
      - 050_fix-incorrect-comment-level-in-monitrc.patch: removed, fixed
        upstream.
      - series: updated.
  * debian/upstream/metadata: removed unknown Homepage field.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sat, 15 Jan 2022 11:34:12 -0300

monit (1:5.29.0-5) unstable; urgency=medium

  * debian/patches/020_enable-hurd.patch: updated to fix FTBFS for hurd.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 31 Aug 2021 14:24:45 -0300

monit (1:5.29.0-4) unstable; urgency=medium

  [ Christian Göttsche ]
  * debian/rules: removed '--enable-werror' from override_dh_auto_configure to
    avoid FTBFS on some architectures.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 30 Aug 2021 08:30:50 -0300

monit (1:5.29.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 29 Aug 2021 21:50:35 -0300

monit (1:5.29.0-2) experimental; urgency=medium

  * Upload to unstable.
  * debian/patches/:
      - 010_monitrc.patch: fixed a comment. (Closes: #993055)
      - 050_fix-incorrect-comment-level-in-monitrc.patch: added to fix a
        comment monitrc. (Closes: #993056)
      - series: updated.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 29 Aug 2021 21:31:01 -0300

monit (1:5.29.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/:
      - All patches refreshed.
      - 040_add-werror.patch: removed, not needed anymore.
      - 050_fix-warnings.patch: renamed to 040_fix-warnings.patch.
      - series: updated.
  * debian/rules: fixed a error in override_dh_auto_configure so that all
    arguments are actually used.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 26 Aug 2021 19:08:53 -0300

monit (1:5.28.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 26 Aug 2021 09:54:26 -0300

monit (1:5.28.0-2) experimental; urgency=medium

  [ Christian Göttsche ]
  * debian/clean: added to clean monit.1 to successfully build twice.
  * debian/control: added bison and flex to Build-Depends field in source
    stanza.
  * debian/patches/:
      - 030_add-readonly-mode-for-web-interface.patch: added.
      - 040_add-werror.patch: added.
      - 050_fix-warnings.patch: added.
      - series: updated.
  * debian/README.Debian: fixed typos.
  * debian/rules:
      - Build with LTO.
      - Configure with --enable-werror.
      - Configure with --with-ipv6 to support cross compiling.
      - Drop dh_missing --fail-missing.
  * debian/salsa-ci.yml: use Debian recipe for salsa CI.

  [ Fabio Augusto De Muzio Tobich ]
  * debian/control:
      - Bumped Standards-Version to 4.6.0.
      - Changed my email in Maintainer field.
  * debian/copyright:
      - Changed my email in packaging block.
      - Updated Christian's year in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 25 Aug 2021 12:18:28 -0300

monit (1:5.28.0-1) experimental; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #986412)
  * debian/control: Updated Vcs-* fields in source stanza.
  * debian/copyright:
      - Updated GPL-3+ license text.
      - Updated packaging maintainers and dates.
  * debian/gbp.conf: removed, not needed.
  * debian/patches/:
      - Renamed 05_monitrc.patch to 010_monitrc.patch and updated to work with
        new upstream release.
      - Renamed 11_enable_hurd.patch to 020_enable-hurd.patch and refreshed.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: updated.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 12 Apr 2021 16:43:21 -0300

monit (1:5.27.2-1) unstable; urgency=medium

  * New upstream version 5.27.2
  * Bump up Standards-Version (to 4.5.1)
  * Drop unused override

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 25 Jan 2021 08:47:12 +0300

monit (1:5.27.1-1) unstable; urgency=medium

  * New upstream version 5.27.1
  * Refresh patches
  * Add lintian override for debian-watch-does-not-check-gpg-signature

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 25 Oct 2020 07:20:12 +0300

monit (1:5.27.0-2) unstable; urgency=medium

  * Restore cross-build compatibility.  Closes: #968482,
    thanks to Helmut Grohne.
  * Update debhelper-compat version
  * Drop obsoleted (in bullseye) DEB_LDFLAGS_MAINT_APPEND
  * Fix Forwarded header in 07_cross.patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 23 Sep 2020 08:43:03 +0300

monit (1:5.27.0-1) unstable; urgency=medium

  * Support for monitoring the ecdsa and ed25519 ssh keys (Closes: #961030)
  * New upstream version 5.27.0 (Closes: #966185)
  * Adapt patches (11_enable_hurd.patch wasn't tested)
  * Override dh_autoreconf (suggested by Christian Göttsche)
  * Drop README
  * Remove support for START option in default (lintian
    init.d-script-should-always-start-service)
  * Add Pre-Depends (fix skip-systemd-native-flag-missing-pre-depends)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 31 Jul 2020 14:12:44 +0300

monit (1:5.26.0-6) unstable; urgency=medium

  * Fix superfluous alerts when the link is down (Closes: #902204)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 28 Apr 2020 08:32:19 +0300

monit (1:5.26.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository.

  [ Christian Göttsche ]
  * Correct printf format arguments in hurd patch
  * Add Rules-Requires-Root: no
  * Create /var/log/monit.log with correct SELinux context

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 20 Apr 2020 12:23:50 +0300

monit (1:5.26.0-4) unstable; urgency=medium

  * Bump up Standards-Version (to 4.5.0)
  * Fix FTBFS for Hurd
  * Add lintian override for missing-systemd-service-for-init.d-script

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 05 Feb 2020 17:54:14 +0300

monit (1:5.26.0-3) unstable; urgency=medium

  * Trigger new release to fix binary upload.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 12 Dec 2019 23:01:49 +0300

monit (1:5.26.0-2) unstable; urgency=medium

  * Clean trailing spaces in old changelog entries
  * Use https in copyright urls
  * Add debian/gbp.conf
  * Add missing sshd_dsa_key definition.  Closes: #932778, thanks
    to Joseph Nahmias.
  * Bump up Standards-Version (to 4.4.1)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 11 Oct 2019 01:47:33 +0300

monit (1:5.26.0-1) unstable; urgency=medium

  * New upstream version 5.26.0
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 07 Jul 2019 08:57:16 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog monit`.
